/api/v1/tasks (GET)
GET
/api/v1/tasks
const url = 'https://api.endless.zaia.app/api/v1/tasks?pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/tasks?pageNumber=1&pageSize=10'Retrieves multiple tasks.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”agentIds
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
pageNumber
The page number.
number
The page number.
pageSize
The page size.
number
The page size.
versionIds
Any of:
Array<string>
A UUID v4 string that identifies an entity.
string format: uuid
Responses
Seção intitulada “Responses”Retrieves all tasks for the workspace.
Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
isRemoved
required
boolean
referenceId
required
The ID of the original entity in production.
string format: uuid
updatedAt
required
string format: date-time
versionId
required
A UUID v4 string that identifies an entity.
string format: uuid
agentId
required
The agent ID associated with the task.
string format: uuid
condition
required
The condition that must be met for the task to be executed.
string
name
required
The display name of the task.
string
prompt
required
What will be set as the main object of the agent when the task is selected.
string
status
required
The lifecycle status of the task.
string
Example
[ { "status": "active" }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}